<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Library Reference Manual: ISDB variants of MPEG-TS descriptors</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Library Reference Manual">
<link rel="up" href="mpegts.html" title="Mpeg TS helper library">
<link rel="prev" href="gst-plugins-bad-libs-DVB-variants-of-MPEG-TS-descriptors.html" title="DVB variants of MPEG-TS descriptors">
<link rel="next" href="tools.html" title="Useful elements">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="mpegts.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-libs-DVB-variants-of-MPEG-TS-descriptors.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="tools.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.top_of_page"></a>ISDB variants of MPEG-TS descriptors</span></h2>
<p>ISDB variants of MPEG-TS descriptors — Descriptors for the various ISDB specifications</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.html#GstMpegtsISDBDescriptorType" title="enum GstMpegtsISDBDescriptorType">GstMpegtsISDBDescriptorType</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;gst/mpegts/mpegts.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-libs-ISDB-variants-of-MPEG-TS-descriptors.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstMpegtsISDBDescriptorType"></a><h3>enum GstMpegtsISDBDescriptorType</h3>
<p>These values correspond to the registered descriptor type from
the various ISDB specifications.</p>
<p>Consult the relevant specifications for more details.</p>
<div class="refsect3">
<a name="id-1.2.5.10.8.2.5"></a><h4>Members</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-HIERARCHICAL-TRANSMISSION:CAPS"></a>GST_MTS_DESC_ISDB_HIERARCHICAL_TRANSMISSION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-DIGITAL-COPY-CONTROL:CAPS"></a>GST_MTS_DESC_ISDB_DIGITAL_COPY_CONTROL</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-NETWORK-IDENTIFICATION:CAPS"></a>GST_MTS_DESC_ISDB_NETWORK_IDENTIFICATION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-PARTIAL-TS-TIME:CAPS"></a>GST_MTS_DESC_ISDB_PARTIAL_TS_TIME</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-AUDIO-COMPONENT:CAPS"></a>GST_MTS_DESC_ISDB_AUDIO_COMPONENT</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-HYPERLINK:CAPS"></a>GST_MTS_DESC_ISDB_HYPERLINK</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-TARGET-REGION:CAPS"></a>GST_MTS_DESC_ISDB_TARGET_REGION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-DATA-CONTENT:CAPS"></a>GST_MTS_DESC_ISDB_DATA_CONTENT</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-VIDEO-DECODE-CONTROL:CAPS"></a>GST_MTS_DESC_ISDB_VIDEO_DECODE_CONTROL</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-DOWNLOAD-CONTENT:CAPS"></a>GST_MTS_DESC_ISDB_DOWNLOAD_CONTENT</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-CA-EMM-TS:CAPS"></a>GST_MTS_DESC_ISDB_CA_EMM_TS</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-CA-CONTRACT-INFORMATION:CAPS"></a>GST_MTS_DESC_ISDB_CA_CONTRACT_INFORMATION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-CA-SERVICE:CAPS"></a>GST_MTS_DESC_ISDB_CA_SERVICE</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-TS-INFORMATION:CAPS"></a>GST_MTS_DESC_ISDB_TS_INFORMATION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-EXTENDED-BROADCASTER:CAPS"></a>GST_MTS_DESC_ISDB_EXTENDED_BROADCASTER</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-LOGO-TRANSMISSION:CAPS"></a>GST_MTS_DESC_ISDB_LOGO_TRANSMISSION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-BASIC-LOCAL-EVENT:CAPS"></a>GST_MTS_DESC_ISDB_BASIC_LOCAL_EVENT</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-REFERENCE:CAPS"></a>GST_MTS_DESC_ISDB_REFERENCE</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-NODE-RELATION:CAPS"></a>GST_MTS_DESC_ISDB_NODE_RELATION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-SHORT-NODE-INFORMATION:CAPS"></a>GST_MTS_DESC_ISDB_SHORT_NODE_INFORMATION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-STC-REFERENCE:CAPS"></a>GST_MTS_DESC_ISDB_STC_REFERENCE</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-SERIES:CAPS"></a>GST_MTS_DESC_ISDB_SERIES</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-EVENT-GROUP:CAPS"></a>GST_MTS_DESC_ISDB_EVENT_GROUP</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-SI-PARAMETER:CAPS"></a>GST_MTS_DESC_ISDB_SI_PARAMETER</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-BROADCASTER-NAME:CAPS"></a>GST_MTS_DESC_ISDB_BROADCASTER_NAME</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-COMPONENT-GROUP:CAPS"></a>GST_MTS_DESC_ISDB_COMPONENT_GROUP</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-SI-PRIME-TS:CAPS"></a>GST_MTS_DESC_ISDB_SI_PRIME_TS</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-BOARD-INFORMATION:CAPS"></a>GST_MTS_DESC_ISDB_BOARD_INFORMATION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-LDT-LINKAGE:CAPS"></a>GST_MTS_DESC_ISDB_LDT_LINKAGE</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-CONNECTED-TRANSMISSION:CAPS"></a>GST_MTS_DESC_ISDB_CONNECTED_TRANSMISSION</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-CONTENT-AVAILABILITY:CAPS"></a>GST_MTS_DESC_ISDB_CONTENT_AVAILABILITY</p></td>
<td> </td>
<td> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-MTS-DESC-ISDB-SERVICE-GROUP:CAPS"></a>GST_MTS_DESC_ISDB_SERVICE_GROUP</p></td>
<td> </td>
<td> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>